/* this function is called in sbl_tda3xx_main file inside SblConfigPostIPUTESOC function right before  Jump to IPU1 Core 0's entry point */
void testFunction()
{
	crcTest(0xA80000, 0x557000);  // result of execution of this function is correct value of CRC

	qspiReader(rprcAddress, 0xA80000, 0x557000);  // this function reads data from 0xA80000 with size 0x557000 and put it in DDR on address rprcAddress(0x80000000)
	qspiFlashRewriter(rprcAddress, 0x1080000, 0x557000); // this function store data from ddr on location rprcAddress in QSPI on address 0x1080000 with size 0x557000

	crcTest(0x1080000, 0x557000);  // result of execution of this function is incorrect value of CRC
}